## dlint 1.3.2

=== Makefile ===
#
# Dlint Makefile
#

VERSION=1.3.2

# Basic area to install things in:
DEST=$(DESTROOT)/usr/local

BIN=$(DEST)/bin
MANEXT=1
MAN=$(DEST)/man/man$(MANEXT)

# How to run BSD-style install prog:
INSTALL=install			# Linux, BSD, SunOS 4.x
#INSTALL=ginstall		# Gnu Install is good, it might be named this
#INSTALL=/usr/ucb/install	# SysV, Solaris 2.x

all:
	@echo 'nothing to make; see INSTALL for instructions.'

install:
	$(INSTALL) -c -m 755 -o bin -g bin dlint $(BIN)
	$(INSTALL) -c -m 755 -o bin -g bin digparse $(BIN)
	$(INSTALL) -c -m 644 -o bin -g bin dlint.1 $(MAN)/dlint.$(MANEXT)

clean:
	-rm -f *.shar core

#
# Developer's section ---------------------------------
#

PUB=/home/wwwtest/html/pub
dist:
	cd ..; tar cvf /tmp/dlint.tar \
		dlint$(VERSION)/README \
		dlint$(VERSION)/CHANGES \
		dlint$(VERSION)/COPYRIGHT \
		dlint$(VERSION)/COPYING \
		dlint$(VERSION)/INSTALL \
		dlint$(VERSION)/BUGS \
		dlint$(VERSION)/Makefile \
		dlint$(VERSION)/dlint \
		dlint$(VERSION)/digparse \
		dlint$(VERSION)/dlint.1
	gzip -f /tmp/dlint.tar
	$(INSTALL) -m 644 -o pab /tmp/dlint.tar.gz $(PUB)/dlint$(VERSION).tar.gz
	$(INSTALL) -m 644 -o pab README $(PUB)/dlint$(VERSION)-readme.txt
	$(INSTALL) -m 644 -o pab CHANGES $(PUB)/dlint$(VERSION)-changes.txt
#---

## dlint 1.3.3

=== Makefile ===
#
# Dlint Makefile
#

VERSION=1.3.3

# Basic area to install things in:
DEST=$(DESTROOT)/usr/local

BIN=$(DEST)/bin
MANEXT=1
MAN=$(DEST)/man/man$(MANEXT)

# How to run BSD-style install prog:
INSTALL=install			# Linux, BSD, SunOS 4.x
#INSTALL=ginstall		# Gnu Install is good, it might be named this
#INSTALL=/usr/ucb/install	# SysV, Solaris 2.x

all:
	@echo 'nothing to make; see INSTALL for instructions.'

install:
	$(INSTALL) -c -m 755 -o bin -g bin dlint $(BIN)
	$(INSTALL) -c -m 755 -o bin -g bin digparse $(BIN)
	$(INSTALL) -c -m 644 -o bin -g bin dlint.1 $(MAN)/dlint.$(MANEXT)

clean:
	-rm -f *.shar core

#
# Developer's section ---------------------------------
#

PUB=/home/wwwtest/html/pub
dist:	clean
	d=`pwd`; d=`basename $$d`; cd ..; tar czf /tmp/$$d.tar.gz \
			--exclude RCS \
			--exclude Old \
			$$d; echo "done.  distribution file is /tmp/$$d.tar.gz"

dist-install:	dist
	$(INSTALL) -m 664 -o pab -g www /tmp/dlint$(VERSION).tar.gz $(PUB)
	$(INSTALL) -m 664 -o pab -g www README $(PUB)/dlint$(VERSION)-readme.txt
	$(INSTALL) -m 664 -o pab -g www CHANGES $(PUB)/dlint$(VERSION)-changes.txt
#---

## dlint 1.4.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Dlint Makefile
 #
 
-VERSION=1.3.3
+VERSION=1.4.0
 
 # Basic area to install things in:
 DEST=$(DESTROOT)/usr/local
@@ -39,7 +39,7 @@
 			$$d; echo "done.  distribution file is /tmp/$$d.tar.gz"
 
 dist-install:	dist
-	$(INSTALL) -m 664 -o pab -g www /tmp/dlint$(VERSION).tar.gz $(PUB)
-	$(INSTALL) -m 664 -o pab -g www README $(PUB)/dlint$(VERSION)-readme.txt
-	$(INSTALL) -m 664 -o pab -g www CHANGES $(PUB)/dlint$(VERSION)-changes.txt
+	$(INSTALL) -c -m 664 -o pab -g www /tmp/dlint$(VERSION).tar.gz $(PUB)
+	$(INSTALL) -c -m 664 -o pab -g www README $(PUB)/dlint$(VERSION)-readme.txt
+	$(INSTALL) -c -m 664 -o pab -g www CHANGES $(PUB)/dlint$(VERSION)-changes.txt
 #---

=== debian/changelog ===
dlint (1.4.0-8) unstable; urgency=low

  [ Jari Aalto <jari.aalto@cante.net> prepared this upgrade to 3.0 quilt ]
  * This Closes: #670745
  * Remove deprecated dpatch and upgrade to packaging format '3.0 quilt'.
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Patch 05 is new; in-line changes to original files.
  * Add note about dead upstream homepage to copyright file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix copyright-without-copyright-notice (Lintian).
  * Fix no-homepage-field (Lintian).

  [ Florian Roscher <fh@debian.org>]
  * Note the abandoned upstream homepage within debian/watch file.
  * Change priority to 'optional'.
  * Add override for testsuite-autopkgtest-missing, as we do not one.
  * Do not skip errors from Makefile (remove '-').
  * Bump standards version to 4.3.0.

 -- Florian Roscher <fh@debian.org>  Sun, 03 Feb 2019 14:35:50 +0100

dlint (1.4.0-7) unstable; urgency=medium

  * Large parts of upstream website has vanished. Correct respectively remove
    URLs accordingly from README file, manual file and package description
    (Closes: #406153).

 -- Florian Hinzmann <fh@debian.org>  Sat, 10 Feb 2007 00:30:24 +0100

dlint (1.4.0-6) unstable; urgency=low

  * Updates calls to tail and sort to use new syntax and avoid deprecation
    warnings (Closes: #396959).
  * Started using dpatch for this fix.

 -- Florian Hinzmann <fh@debian.org>  Fri, 10 Nov 2006 22:56:59 +0100

dlint (1.4.0-5) unstable; urgency=low

  * Add watch file.
  * Acknowledge NMU, thanks.
  * Switch to dephelper compatibility level 5.
  * Bump standards version to 3.7.2 (no changes necessary).

 -- Florian Hinzmann <fh@debian.org>  Wed,  1 Nov 2006 23:24:30 +0100

dlint (1.4.0-4.1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Non-Maintainer Upload

  * Finish the /usr/doc transition (Closes: #322782).
  * Change Build-Depends-Indep on debhelper to Build-Depends.
  * Remove obsolete README.Debian about non-US.
  * Update FSF address in copyright.

  [ Amaya Rodrigo Sastre ]
  * Upload

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 17 Jun 2006 21:15:32 +0200

dlint (1.4.0-4) unstable; urgency=low

  * Moved from non-US to US main.

 -- Florian Hinzmann <fh@debian.org>  Wed, 27 Mar 2002 09:04:12 +0100

dlint (1.4.0-3) unstable; urgency=high

  * High urgency because this upload fixes a serious bug and
    dlint is considered a standard package because it is part
    of the task "dns-server".
  * Moved dlint to non-US temporarily, closes: bug#123637.
  * Changed "Build-Depends" to "Build-Depends-Indep", this
    was an lintian error.
  * Corrected wrong path to GPL in file debian/copyright,
    closes: bug#126930.
  * Added filename of manpage as an argument to dh_installman.
    It worked without before, but now dh_installman needs this.

 -- Florian Hinzmann <fh@debian.org>  Wed, 10 Jan 2002 09:04:11 +0100

dlint (1.4.0-2) unstable; urgency=low

  * Added versioned Build-Depends for debhelper according
    to perl policy version 1.17.

 -- Florian Hinzmann <fh@debian.org>  Fri, 23 Feb 2001 12:25:18 +0100

dlint (1.4.0-1) unstable; urgency=low

  * New upstream version.

 -- Florian Hinzmann <fh@debian.org>  Sat,  2 Dec 2000 19:09:53 +0100

dlint (1.3.4-3) unstable; urgency=low

  * Moved Build-Depends to source section of control file.

 -- Florian Hinzmann <fh@debian.org>  Tue, 19 Sep 2000 17:11:55 +0200

dlint (1.3.4-2) unstable; urgency=low

  * Uses dh_perl to fill dependancies in control file.
  * Inserted Build-Depends.
  * Moved help script from lib to share as it is arch independant.

 -- Florian Hinzmann <fh@debian.org>  Fri, 11 Aug 2000 17:41:54 +0200

dlint (1.3.4-1) unstable; urgency=low

  * New upstream release.
  * Patch for safe creation of tempfiles is included. (closes: Bug#58555)

 -- Florian Hinzmann <fh@debian.org>  Sun,  6 Aug 2000 12:32:57 +0200

dlint (1.3.3-3) unstable; urgency=low

  * DLint was not present in unstable (aka woody).
    1.3.3-3 includes no changes to 1.3.3-2, I just do this upload
    to have dlint in woody again. (closes: Bug#61063)

 -- Florian Hinzmann <fh@debian.org>  Mon, 27 Mar 2000 10:05:29 +0200

dlint (1.3.3-2) frozen; urgency=low

  * Non maintainer upload with permission of maintainer.
  * Applied patch from the BTS to unsafe temp files (closes: #58555).

 -- Christian Kurz <shorty@debian.org>  Sat,  4 Mar 2000 22:06:18 +0100

dlint (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Florian Hinzmann <fh@debian.org>  Tue, 19 Oct 1999 13:47:23 +0200

dlint (1.3.2-3) unstable; urgency=low

  * Dlint depends on perl5 now.

 -- Florian Hinzmann <fh@debian.org>  Tue, 19 Oct 1999 13:45:48 +0200

dlint (1.3.2-2) unstable; urgency=low

  * Bugfix: There were quotes missing at the end of a line.

 -- Florian Hinzmann <fh@debian.org>  Mon,  5 Jul 1999 08:52:44 +0200

dlint (1.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Florian Hinzmann <fh@debian.org>  Mon, 19 Oct 1998 12:14:21 +0200

dlint (1.3.1-2) unstable; urgency=low

  * digparse is installed in /usr/lib/dlint instead of /usr/bin as it
    is not to be called by user.
  * Corrected FSF address (fixes Lintian error).
  * Upstream changelog is now named changelog.gz (fixes Lintian warning).
  * Added missing .gz to /usr/doc/dlint/README (#25051).
  * Binaries and manpages are in /usr instead of /usr/X11R6 now (#25423).

 -- Florian Hinzmann <fh@debian.org>  Fri, 14 Aug 1998 16:32:08 +0200

dlint (1.3.1-1) unstable; urgency=low

  * Initial Release.

 -- Florian Hinzmann <fh@debian.org>  Mon, 20 Jul 1998 23:38:52 +0200

=== debian/control ===
Source: dlint
Section: net
Priority: optional
Maintainer: Florian Roscher <fh@debian.org>
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 9)
Vcs-Browser: https://salsa.debian.org/fh/dlint
Vcs-Git: https://salsa.debian.org/fh/dlint.git

Package: dlint
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, dnsutils
Description: Checks dns zone information using nameserver lookups
 This program analyzes any DNS zone you specify, and reports any problems it
 finds by displaying errors and warnings.  Then it descends recursively to
 examine all zones below the given one (this can be disabled with a command-
 line option).
 .
 You don't have to feed any BIND conffiles to Dlint. Dlint uses
 nameserver calls to gather information.
 .
 Designed for Unix, dlint is written in Bourne Shell and Perl.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=3



configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.


	touch configure-stamp


build-arch: build
build-indep: build

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#/usr/bin/docbook-to-man debian/dlint.sgml > dlint.1

	touch build-stamp

clean: clean-unpatched

clean-unpatched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/dlint


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installman dlint.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=4
# NOTE: This project used to have an upstream site, but it vanished.
# Author is Paul A. Balyoz <pab@domtools.com>
#
# watch line that worked before was:
# http://domtools.com/ .*dlint([0-9\.]+)\.tar\.gz debian
